Bug 864090 - Review Request: gnome-shell-extension-fedmsg - A gnome-shell extension for configuring fedmsg desktop notifications
Review Request: gnome-shell-extension-fedmsg - A gnome-shell extension for co...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 10:43 EDT by Luke Macken
Modified: 2016-09-19 22:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 23:22:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbean: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2012-10-08 10:43:35 EDT
Spec URL:
http://lmacken.fedorapeople.org/rpms/gnome-shell-extension-fedmsg.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/gnome-shell-extension-fedmsg-0.1.0-1.fc17.src.rpm
Description:
This is a GNOME shell extension that allows you to easily toggle and
configure the fedmsg-notify service.
Fedora Account System Username: lmacken
Comment 1 Ralph Bean 2012-10-08 11:47:13 EDT
I'll take this one.
Comment 2 Ralph Bean 2012-10-08 11:56:38 EDT
Since you are upstream, could you include a LICENSE file?  The license shortname GPLV3+ appears in the specfile, but is not mentioned anywhere in Source0.

We obviously know this is correct, but a person in the future might be confused or have questions about whether or not the project really is GPLv3+.
Comment 5 Ralph Bean 2012-10-11 10:27:51 EDT
Issues:
=======

Four blockers.. easy to fix, though.  These are the last ones.  Fix 'em up and I'll approve the package without further delay!

I found that if I had fedmsg and fedmsg-notify removed on my system, then
starting the shell extension would crash the gnome shell.  Can you add
"fedmsg-notify" as a Requires item?

[!]: Requires correct, justified where necessary.


Thanks for including the LICENSE in the tarball.  Can you include it in %doc,
too?

[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.


Also, since you won't be building this for el5, can you please remove the
defattr and rm %{buildroot}?

[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Large documentation files are in a -doc subpackage, if required.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[!]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gnome-shell-extension-fedmsg-0.1.0-2.fc18.noarch.rpm
          gnome-shell-extension-fedmsg-0.1.0-2.fc18.src.rpm
gnome-shell-extension-fedmsg.noarch: W: no-documentation
gnome-shell-extension-fedmsg.src: W: invalid-url Source0: gnome-shell-extension-fedmsg-0.1.0.tar.gz
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gnome-shell-extension-fedmsg
gnome-shell-extension-fedmsg.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
gnome-shell-extension-fedmsg-0.1.0-2.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    gnome-shell >= 3.2.0



Provides
--------
gnome-shell-extension-fedmsg-0.1.0-2.fc18.noarch.rpm:
    
    gnome-shell-extension-fedmsg = 0.1.0-2.fc18



MD5-sum check
-------------


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 864090
Comment 6 Luke Macken 2012-10-11 12:40:50 EDT
* Thu Oct 11 2012 Luke Macken <lmacken@redhat.com> - 0.1.0-3
- Require fedmsg-notify
- Include the license in the package
- Removed some legacy RPM cruft

Spec URL: http://lmacken.fedorapeople.org/rpms/gnome-shell-extension-fedmsg.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/gnome-shell-extension-fedmsg-0.1.0-3.fc17.src.rpm
Comment 7 Ralph Bean 2012-10-11 13:01:37 EDT
Solid.  Approved!
Comment 8 Luke Macken 2012-10-11 13:05:49 EDT
New Package SCM Request
=======================
Package Name: gnome-shell-extension-fedmsg
Short Description: A GNOME Shell extension for configuring fedmsg desktop notifications
Owners: lmacken ralph
Branches: f18
InitialCC:
Comment 9 Gwyn Ciesla 2012-10-11 13:23:52 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-10-11 14:09:13 EDT
gnome-shell-extension-fedmsg-0.1.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnome-shell-extension-fedmsg-0.1.0-3.fc18
Comment 11 Fedora Update System 2012-10-12 13:54:04 EDT
gnome-shell-extension-fedmsg-0.1.0-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Parag AN(पराग) 2012-12-10 23:22:44 EST
I suppose this can be closed as packages are already in repositories.

Note You need to log in before you can comment on or make changes to this bug.